import dangerzone.BaseMod;
import dangerzone.DangerZone;
import dangerzone.blocks.Block;
import dangerzone.blocks.Blocks;


public class DemoModMain extends BaseMod {
	
	//See BaseMod. It has examples of everything...
	//This is just here to help you get everything set up.
	//This is it. This is where you start your mod!
	
	public static Block mydemoblock = new DemoBlock("DemoMod:A Demo Block", "demores/blocks/blockdemo.png", 100);
	
	public DemoModMain (){
		super();
	}
	
	public String getModName()
	{
		return "Demo Mod Version 1.0";
	}
	
	//Copy-paste the same string from Dangerzone.versionstring at the top of the DangerZone.java file.
	//DO NOT just return DangerZone.versionstring. That defeats the purpose, which is a compatibility check so as to not frustrate the player!
	//Make sure you update this string with each new version you update to.
	public String versionBuiltWith()
	{
		return "1.0";
	}
	
	//This is where all your registration happens.
	public void registerThings(){
		System.out.printf("Demo mod printf! registerThings()\n");
		Blocks.registerBlock(mydemoblock);
		
	}
	
	//You probably won't need this routine unless you care which OTHER mods are installed.
	//This is called AFTER all mods are loaded and registered.
	//It needs to exist, just leave it empty.
	public void postLoadProcessing(){
		System.out.printf("Demo mod printf! postLoadProcessing()\n");
		System.out.printf("Block 1 name is: %s\n", Blocks.BlockArray[1].uniquename);
		System.out.printf("Renderdistance is: %d\n", DangerZone.renderdistance);
	}

}
